All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface MiningResult

All Superinterfaces:
  AbstractTransformation, CMetadata, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root, Transformation

    public interface MiningResult

extends Transformation

Represents a SAS Enterprise Data Mining Model that is a formula or algorithm that computes outputs from inputs. A data mining model includes information about the conditional distribution of the target variables, given the input variables.

Attributes of MiningResult are:

- `Subject`
- `MiningFunction`
- `MiningAlgorithm`
- `MiningTool`
- `Status`
- `Rating`
- `WorkspaceName`
- `ModelKey`
- `SourceCodeType`

Associations of MiningResult are:

- `MiningReports`
- `Targets`
- `TargetTable`
- `TrainCode`
- `ResultPMML`
- `TrainingTable`

## Usage

To create an instance of this MiningResult, use the `factory` create methods.
Example: create a MiningResult with name "MiningResult_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     MiningResult myObject = (MiningResult) factory.createComplexMetadataObject(objectStore, "MiningResult_Object", MetadataObjects.MININGRESULT, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_MININGREPORTS_NAME` Constant used for the name of the MiningReports association.
`static java.lang.String` | `ASSOCIATION_RESULTPMML_NAME` Constant used for the name of the ResultPMML association.
`static java.lang.String` | `ASSOCIATION_TARGETS_NAME` Constant used for the name of the Targets association.
`static java.lang.String` | `ASSOCIATION_TARGETTABLE_NAME` Constant used for the name of the TargetTable association.
`static java.lang.String` | `ASSOCIATION_TRAINCODE_NAME` Constant used for the name of the TrainCode association.
`static java.lang.String` | `ASSOCIATION_TRAININGTABLE_NAME` Constant used for the name of the TrainingTable association.
`static java.lang.String` | `ATTRIBUTE_MININGALGORITHM_NAME` Constant used for the name of the MiningAlgorithm attribute.
`static java.lang.String` | `ATTRIBUTE_MININGFUNCTION_NAME` Constant used for the name of the MiningFunction attribute.
`static java.lang.String` | `ATTRIBUTE_MININGTOOL_NAME` Constant used for the name of the MiningTool attribute.
`static java.lang.String` | `ATTRIBUTE_MODELKEY_NAME` Constant used for the name of the ModelKey attribute.
`static java.lang.String` | `ATTRIBUTE_RATING_NAME` Constant used for the name of the Rating attribute.
`static java.lang.String` | `ATTRIBUTE_SOURCECODETYPE_NAME` Constant used for the name of the SourceCodeType attribute.
`static java.lang.String` | `ATTRIBUTE_STATUS_NAME` Constant used for the name of the Status attribute.
`static java.lang.String` | `ATTRIBUTE_SUBJECT_NAME` Constant used for the name of the Subject attribute.
`static java.lang.String` | `ATTRIBUTE_WORKSPACENAME_NAME` Constant used for the name of the WorkspaceName attribute.

Fields inherited from interface com.sas.metadata.remote.Transformation
`ASSOCIATION_ASSOCIATEDPROMPT_NAME, ASSOCIATION_STEPS_NAME`

Fields inherited from interface com.sas.metadata.remote.AbstractTransformation
`ASSOCIATION_COMPUTELOCATIONS_NAME, ASSOCIATION_CONDITIONACTIONSETS_NAME, ASSOCIATION_CUSTOMIZERS_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_SOURCECODE_NAME, ASSOCIATION_SOURCESPECIFICATIONS_NAME, ASSOCIATION_SUBSTITUTIONVARIABLES_NAME, ASSOCIATION_TARGETSPECIFICATIONS_NAME, ASSOCIATION_TRANSFORMATIONSOURCES_NAME, ASSOCIATION_TRANSFORMATIONTARGETS_NAME, ASSOCIATION_TRIGGEREDEVENTS_NAME, ASSOCIATION_TRIGGERINGEVENTS_NAME, ATTRIBUTE_ISACTIVE_NAME, ATTRIBUTE_ISUSERDEFINED_NAME, ATTRIBUTE_TRANSFORMROLE_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`abstract java.lang.String` | `getMiningAlgorithm()` Gets the `String` value of `MiningAlgorithm`
`abstract int` | `getMiningAlgorithmMaxLength()` Gets the maximum length of `MiningAlgorithm`
`abstract int` | `getMiningAlgorithmState()` Gets the Metadata State of `MiningAlgorithm`
`abstract java.lang.String` | `getMiningFunction()` Gets the `String` value of `MiningFunction`
`abstract int` | `getMiningFunctionMaxLength()` Gets the maximum length of `MiningFunction`
`abstract int` | `getMiningFunctionState()` Gets the Metadata State of `MiningFunction`
`abstract AssociationList` | `getMiningReports()` Gets the AssociationList of `MiningReports`
`abstract AssociationList` | `getMiningReports(boolean fGoToServer)` Gets the Associationlist of `MiningReports`
`abstract java.lang.String` | `getMiningTool()` Gets the `String` value of `MiningTool`
`abstract int` | `getMiningToolMaxLength()` Gets the maximum length of `MiningTool`
`abstract int` | `getMiningToolState()` Gets the Metadata State of `MiningTool`
`abstract java.lang.String` | `getModelKey()` Gets the `String` value of `ModelKey`
`abstract int` | `getModelKeyMaxLength()` Gets the maximum length of `ModelKey`
`abstract int` | `getModelKeyState()` Gets the Metadata State of `ModelKey`
`abstract double` | `getRating()` Gets the `double` value of `Rating`
`abstract int` | `getRatingState()` Gets the Metadata State of `Rating`
`abstract TextStore` | `getResultPMML()` Gets the `TextStore` for `ResultPMML`
`abstract AssociationList` | `getResultPMMLs()` Gets the Association list of `ResultPMMLs`
`abstract AssociationList` | `getResultPMMLs(boolean fGoToServer)` Gets the Associationlist of `ResultPMMLs`
`abstract java.lang.String` | `getSourceCodeType()` Gets the `String` value of `SourceCodeType`
`abstract int` | `getSourceCodeTypeMaxLength()` Gets the maximum length of `SourceCodeType`
`abstract int` | `getSourceCodeTypeState()` Gets the Metadata State of `SourceCodeType`
`abstract java.lang.String` | `getStatus()` Gets the `String` value of `Status`
`abstract int` | `getStatusMaxLength()` Gets the maximum length of `Status`
`abstract int` | `getStatusState()` Gets the Metadata State of `Status`
`abstract java.lang.String` | `getSubject()` Gets the `String` value of `Subject`
`abstract int` | `getSubjectMaxLength()` Gets the maximum length of `Subject`
`abstract int` | `getSubjectState()` Gets the Metadata State of `Subject`
`abstract AssociationList` | `getTargets()` Gets the AssociationList of `Targets`
`abstract AssociationList` | `getTargets(boolean fGoToServer)` Gets the Associationlist of `Targets`
`abstract RelationalTable` | `getTargetTable()` Gets the `RelationalTable` for `TargetTable`
`abstract AssociationList` | `getTargetTables()` Gets the AssociationList of `TargetTables`
`abstract AssociationList` | `getTargetTables(boolean fGoToServer)` Gets the Associationlist of `TargetTables`
`abstract Text` | `getTrainCode()` Gets the `Text` for `TrainCode`
`abstract AssociationList` | `getTrainCodes()` Gets the AssociationList of `TrainCodes`
`abstract AssociationList` | `getTrainCodes(boolean fGoToServer)` Gets the Associationlist of `TrainCodes`
`abstract PhysicalTable` | `getTrainingTable()` Gets the `PhysicalTable` for `TrainingTable`
`abstract AssociationList` | `getTrainingTables()` Gets the Association list of `TrainingTables`
`abstract AssociationList` | `getTrainingTables(boolean fGoToServer)` Gets the Associationlist of `TrainingTables`
`abstract java.lang.String` | `getWorkspaceName()` Gets the `String` value of `WorkspaceName`
`abstract int` | `getWorkspaceNameMaxLength()` Gets the maximum length of `WorkspaceName`
`abstract int` | `getWorkspaceNameState()` Gets the Metadata State of `WorkspaceName`
`abstract void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `MiningReports` `Targets` `TargetTable` `TrainCode`
`abstract void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`abstract void` | `setMiningAlgorithm(java.lang.String inMiningAlgorithm)` Sets the `MiningAlgorithm` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setMiningAlgorithm(java.lang.String inMiningAlgorithm, int state)` Sets the `MiningAlgorithm` Metadata State.
`abstract void` | `setMiningAlgorithmState(int state)` Sets the Metadata State of `MiningAlgorithm`.
`abstract void` | `setMiningFunction(java.lang.String inMiningFunction)` Sets the `MiningFunction` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setMiningFunction(java.lang.String inMiningFunction, int state)` Sets the `MiningFunction` Metadata State.
`abstract void` | `setMiningFunctionState(int state)` Sets the Metadata State of `MiningFunction`.
`abstract void` | `setMiningReports(AssociationList list)` Sets the `MiningReports` list to be `list`.
`abstract void` | `setMiningReports(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`abstract void` | `setMiningTool(java.lang.String inMiningTool)` Sets the `MiningTool` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setMiningTool(java.lang.String inMiningTool, int state)` Sets the `MiningTool` Metadata State.
`abstract void` | `setMiningToolState(int state)` Sets the Metadata State of `MiningTool`.
`abstract void` | `setModelKey(java.lang.String inModelKey)` Sets the `ModelKey` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setModelKey(java.lang.String inModelKey, int state)` Sets the `ModelKey` Metadata State.
`abstract void` | `setModelKeyState(int state)` Sets the Metadata State of `ModelKey`.
`abstract void` | `setRating(double inRating)` Sets the `Rating` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setRating(double inRating, int state)` Sets the `Rating` Metadata State.
`abstract void` | `setRating(java.lang.String inRating)` Sets the `Rating` value and sets the state to MetadataState.LOCAL
`abstract void` | `setRating(java.lang.String inRating, int state)` Sets the `Rating` value and Metadata State.
`abstract void` | `setRatingState(int state)` Sets the Metadata State of `Rating`.
`abstract void` | `setResultPMML(TextStore inObject)` Sets the `ResultPMMLs` list 0th element to be `inObject`.
`abstract void` | `setResultPMMLs(AssociationList list)` Sets the `ResultPMMLs` list to be `list`.
`abstract void` | `setResultPMMLs(AssociationList list, int state)` Sets the `ResultPMMLs` list to be `list`.
`abstract void` | `setSourceCodeType(java.lang.String inSourceCodeType)` Sets the `SourceCodeType` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setSourceCodeType(java.lang.String inSourceCodeType, int state)` Sets the `SourceCodeType` Metadata State.
`abstract void` | `setSourceCodeTypeState(int state)` Sets the Metadata State of `SourceCodeType`.
`abstract void` | `setStatus(java.lang.String inStatus)` Sets the `Status` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setStatus(java.lang.String inStatus, int state)` Sets the `Status` Metadata State.
`abstract void` | `setStatusState(int state)` Sets the Metadata State of `Status`.
`abstract void` | `setSubject(java.lang.String inSubject)` Sets the `Subject` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setSubject(java.lang.String inSubject, int state)` Sets the `Subject` Metadata State.
`abstract void` | `setSubjectState(int state)` Sets the Metadata State of `Subject`.
`abstract void` | `setTargets(AssociationList list)` Sets the `Targets` list to be `list`.
`abstract void` | `setTargets(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`abstract void` | `setTargetTable(RelationalTable inObject)` Sets the `TargetTables` list 0th element to be `inObject`.
`abstract void` | `setTargetTables(AssociationList list)` Sets the `TargetTables` list to be `list`.
`abstract void` | `setTargetTables(AssociationList list, int state)` Sets the `TargetTables` list to be `list`.
`abstract void` | `setTrainCode(Text inObject)` Sets the `TrainCodes` list 0th element to be `inObject`.
`abstract void` | `setTrainCodes(AssociationList list)` Sets the `TrainCodes` list to be `list`.
`abstract void` | `setTrainCodes(AssociationList list, int state)` Sets the `TrainCodes` list to be `list`.
`abstract void` | `setTrainingTable(PhysicalTable inObject)` Sets the `TrainingTables` list 0th element to be `inObject`.
`abstract void` | `setTrainingTables(AssociationList list)` Sets the `TrainingTables` list to be `list`.
`abstract void` | `setTrainingTables(AssociationList list, int state)` Sets the `TrainingTables` list to be `list`.
`abstract void` | `setWorkspaceName(java.lang.String inWorkspaceName)` Sets the `WorkspaceName` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setWorkspaceName(java.lang.String inWorkspaceName, int state)` Sets the `WorkspaceName` Metadata State.
`abstract void` | `setWorkspaceNameState(int state)` Sets the Metadata State of `WorkspaceName`.

Methods inherited from interface com.sas.metadata.remote.Transformation
`getAssociatedPrompt, getAssociatedPrompts, getAssociatedPrompts, getSteps, getSteps, setAssociatedPrompt, setAssociatedPrompts, setAssociatedPrompts, setSteps, setSteps`

Methods inherited from interface com.sas.metadata.remote.AbstractTransformation
`getComputeLocations, getComputeLocations, getConditionActionSets, getConditionActionSets, getCustomizers, getCustomizers, getDeployedComponents, getDeployedComponents, getIsActive, getIsActiveState, getIsUserDefined, getIsUserDefinedState, getSourceCode, getSourceCodes, getSourceCodes, getSourceSpecifications, getSourceSpecifications, getSubstitutionVariables, getSubstitutionVariables, getTargetSpecifications, getTargetSpecifications, getTransformationSources, getTransformationSources, getTransformationTargets, getTransformationTargets, getTransformRole, getTransformRoleMaxLength, getTransformRoleState, getTriggeredEvents, getTriggeredEvents, getTriggeringEvents, getTriggeringEvents, setComputeLocations, setComputeLocations, setConditionActionSets, setConditionActionSets, setCustomizers, setCustomizers, setDeployedComponents, setDeployedComponents, setIsActive, setIsActive, setIsActive, setIsActive, setIsActiveState, setIsUserDefined, setIsUserDefined, setIsUserDefined, setIsUserDefined, setIsUserDefinedState, setSourceCode, setSourceCodes, setSourceCodes, setSourceSpecifications, setSourceSpecifications, setSubstitutionVariables, setSubstitutionVariables, setTargetSpecifications, setTargetSpecifications, setTransformationSources, setTransformationSources, setTransformationTargets, setTransformationTargets, setTransformRole, setTransformRole, setTransformRoleState, setTriggeredEvents, setTriggeredEvents, setTriggeringEvents, setTriggeringEvents`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_SUBJECT_NAME

    static final java.lang.String ATTRIBUTE_SUBJECT_NAME

  Constant used for the name of the Subject attribute.

  Subject: Subject

  See Also:
    Constant Field Values

### ATTRIBUTE_MININGFUNCTION_NAME

    static final java.lang.String ATTRIBUTE_MININGFUNCTION_NAME

  Constant used for the name of the MiningFunction attribute.

  MiningFunction: The function used. such as Association, Sequence

  See Also:
    Constant Field Values

### ATTRIBUTE_MININGALGORITHM_NAME

    static final java.lang.String ATTRIBUTE_MININGALGORITHM_NAME

  Constant used for the name of the MiningAlgorithm attribute.

  MiningAlgorithm: The algorithm used. such as Clustering, Tree

  See Also:
    Constant Field Values

### ATTRIBUTE_MININGTOOL_NAME

    static final java.lang.String ATTRIBUTE_MININGTOOL_NAME

  Constant used for the name of the MiningTool attribute.

  MiningTool: MiningTool

  See Also:
    Constant Field Values

### ATTRIBUTE_STATUS_NAME

    static final java.lang.String ATTRIBUTE_STATUS_NAME

  Constant used for the name of the Status attribute.

  Status: Production, Archived, Experimental

  See Also:
    Constant Field Values

### ATTRIBUTE_RATING_NAME

    static final java.lang.String ATTRIBUTE_RATING_NAME

  Constant used for the name of the Rating attribute.

  Rating: How good does the result rate?

  See Also:
    Constant Field Values

### ATTRIBUTE_WORKSPACENAME_NAME

    static final java.lang.String ATTRIBUTE_WORKSPACENAME_NAME

  Constant used for the name of the WorkspaceName attribute.

  WorkspaceName: Name of the document the result was created in.

  See Also:
    Constant Field Values

### ATTRIBUTE_MODELKEY_NAME

    static final java.lang.String ATTRIBUTE_MODELKEY_NAME

  Constant used for the name of the ModelKey attribute.

  ModelKey: UUID or Name of the model used to score a table.

  See Also:
    Constant Field Values

### ATTRIBUTE_SOURCECODETYPE_NAME

    static final java.lang.String ATTRIBUTE_SOURCECODETYPE_NAME

  Constant used for the name of the SourceCodeType attribute.

  SourceCodeType: "Data Step" for data step fragment code, and "SAS Program" for sas program code.

  See Also:
    Constant Field Values

### ASSOCIATION_MININGREPORTS_NAME

    static final java.lang.String ASSOCIATION_MININGREPORTS_NAME

  Constant used for the name of the MiningReports association.

  MiningReports: The collection of data and metadata to create reports for this mining result.

  See Also:
    Constant Field Values

### ASSOCIATION_TARGETS_NAME

    static final java.lang.String ASSOCIATION_TARGETS_NAME

  Constant used for the name of the Targets association.

  Targets: The targets that are acted upon by this model.

  See Also:
    Constant Field Values

### ASSOCIATION_TARGETTABLE_NAME

    static final java.lang.String ASSOCIATION_TARGETTABLE_NAME

  Constant used for the name of the TargetTable association.

  TargetTable: The target table associated to this mining result.

  See Also:
    Constant Field Values

### ASSOCIATION_TRAINCODE_NAME

    static final java.lang.String ASSOCIATION_TRAINCODE_NAME

  Constant used for the name of the TrainCode association.

  TrainCode: The code used to retrain a model.

  See Also:
    Constant Field Values

### ASSOCIATION_RESULTPMML_NAME

    static final java.lang.String ASSOCIATION_RESULTPMML_NAME

  Constant used for the name of the ResultPMML association.

  ResultPMML: The PMML associated to this mining result.

  See Also:
    Constant Field Values

### ASSOCIATION_TRAININGTABLE_NAME

    static final java.lang.String ASSOCIATION_TRAININGTABLE_NAME

  Constant used for the name of the TrainingTable association.

  TrainingTable: The traning table associated with this mining result.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `AbstractTransformation`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Specified by:
    `initializeRequiredObjects` in interface `Transformation`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `MiningReports`
  `Targets`
  `TargetTable`
  `TrainCode`

  Specified by:
    `initializePredObjects` in interface `AbstractTransformation`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Specified by:
    `initializePredObjects` in interface `Transformation`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSubject

    java.lang.String getSubject()
                                throws java.rmi.RemoteException

  Gets the `String` value of `Subject`

  Returns:
    The `Subject`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSubjectState

    int getSubjectState()
                        throws java.rmi.RemoteException

  Gets the Metadata State of `Subject`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSubjectMaxLength

    int getSubjectMaxLength()
                            throws java.rmi.RemoteException

  Gets the maximum length of `Subject`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMiningFunction

    java.lang.String getMiningFunction()
                                       throws java.rmi.RemoteException

  Gets the `String` value of `MiningFunction`

  Returns:
    The `MiningFunction`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMiningFunctionState

    int getMiningFunctionState()
                               throws java.rmi.RemoteException

  Gets the Metadata State of `MiningFunction`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMiningFunctionMaxLength

    int getMiningFunctionMaxLength()
                                   throws java.rmi.RemoteException

  Gets the maximum length of `MiningFunction`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMiningAlgorithm

    java.lang.String getMiningAlgorithm()
                                        throws java.rmi.RemoteException

  Gets the `String` value of `MiningAlgorithm`

  Returns:
    The `MiningAlgorithm`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMiningAlgorithmState

    int getMiningAlgorithmState()
                                throws java.rmi.RemoteException

  Gets the Metadata State of `MiningAlgorithm`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMiningAlgorithmMaxLength

    int getMiningAlgorithmMaxLength()
                                    throws java.rmi.RemoteException

  Gets the maximum length of `MiningAlgorithm`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMiningTool

    java.lang.String getMiningTool()
                                   throws java.rmi.RemoteException

  Gets the `String` value of `MiningTool`

  Returns:
    The `MiningTool`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMiningToolState

    int getMiningToolState()
                           throws java.rmi.RemoteException

  Gets the Metadata State of `MiningTool`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMiningToolMaxLength

    int getMiningToolMaxLength()
                               throws java.rmi.RemoteException

  Gets the maximum length of `MiningTool`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getStatus

    java.lang.String getStatus()
                               throws java.rmi.RemoteException

  Gets the `String` value of `Status`

  Returns:
    The `Status`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getStatusState

    int getStatusState()
                       throws java.rmi.RemoteException

  Gets the Metadata State of `Status`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getStatusMaxLength

    int getStatusMaxLength()
                           throws java.rmi.RemoteException

  Gets the maximum length of `Status`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getRating

    double getRating()
                     throws java.rmi.RemoteException

  Gets the `double` value of `Rating`

  Returns:
    The `Rating`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getRatingState

    int getRatingState()
                       throws java.rmi.RemoteException

  Gets the Metadata State of `Rating`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getWorkspaceName

    java.lang.String getWorkspaceName()
                                      throws java.rmi.RemoteException

  Gets the `String` value of `WorkspaceName`

  Returns:
    The `WorkspaceName`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getWorkspaceNameState

    int getWorkspaceNameState()
                              throws java.rmi.RemoteException

  Gets the Metadata State of `WorkspaceName`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getWorkspaceNameMaxLength

    int getWorkspaceNameMaxLength()
                                  throws java.rmi.RemoteException

  Gets the maximum length of `WorkspaceName`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getModelKey

    java.lang.String getModelKey()
                                 throws java.rmi.RemoteException

  Gets the `String` value of `ModelKey`

  Returns:
    The `ModelKey`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getModelKeyState

    int getModelKeyState()
                         throws java.rmi.RemoteException

  Gets the Metadata State of `ModelKey`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getModelKeyMaxLength

    int getModelKeyMaxLength()
                             throws java.rmi.RemoteException

  Gets the maximum length of `ModelKey`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSourceCodeType

    java.lang.String getSourceCodeType()
                                       throws java.rmi.RemoteException

  Gets the `String` value of `SourceCodeType`

  Returns:
    The `SourceCodeType`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSourceCodeTypeState

    int getSourceCodeTypeState()
                               throws java.rmi.RemoteException

  Gets the Metadata State of `SourceCodeType`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getSourceCodeTypeMaxLength

    int getSourceCodeTypeMaxLength()
                                   throws java.rmi.RemoteException

  Gets the maximum length of `SourceCodeType`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getMiningReports

    AssociationList getMiningReports()
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the AssociationList of `MiningReports`

  Returns:
    Returns the AssociationList of `MiningReports` which can be of type:
    ArchiveFile
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTargets

    AssociationList getTargets()
                               throws java.rmi.RemoteException,
                                      MdException

  Gets the AssociationList of `Targets`

  Returns:
    Returns the AssociationList of `Targets` which can be of type:
    Target
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTargetTables

    AssociationList getTargetTables()
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the AssociationList of `TargetTables`

  Returns:
    Returns the AssociationList of `TargetTables` which can be of type:
    RelationalTable
    PhysicalTable
    WorkTable
    SecuredTable
    QueryTable
    JoinTable
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getTargetTable

    RelationalTable getTargetTable()
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the `RelationalTable` for `TargetTable`

  Returns:
    The `RelationalTable` ( `null` if not set) of `TargetTable`which can be of type:
    RelationalTable
    PhysicalTable
    WorkTable
    SecuredTable
    QueryTable
    JoinTable
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTrainCodes

    AssociationList getTrainCodes()
                                  throws java.rmi.RemoteException,
                                         MdException

  Gets the AssociationList of `TrainCodes`

  Returns:
    Returns the AssociationList of `TrainCodes` which can be of type:
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getTrainCode

    Text getTrainCode()
                      throws java.rmi.RemoteException,
                             MdException

  Gets the `Text` for `TrainCode`

  Returns:
    The `Text` ( `null` if not set) of `TrainCode`which can be of type:
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getResultPMMLs

    AssociationList getResultPMMLs()
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the Association list of `ResultPMMLs`

  Returns:
    The AssociationList of `ResultPMMLs` which can be of type:
    TextStore
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getResultPMML

    TextStore getResultPMML()
                            throws java.rmi.RemoteException,
                                   MdException

  Gets the `TextStore` for `ResultPMML`

  Returns:
    The `TextStore` ( `null` if not set ) of `ResultPMML` which can be of type:
    TextStore
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTrainingTables

    AssociationList getTrainingTables()
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the Association list of `TrainingTables`

  Returns:
    The AssociationList of `TrainingTables` which can be of type:
    PhysicalTable
    WorkTable
    SecuredTable
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTrainingTable

    PhysicalTable getTrainingTable()
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the `PhysicalTable` for `TrainingTable`

  Returns:
    The `PhysicalTable` ( `null` if not set ) of `TrainingTable` which can be of type:
    PhysicalTable
    WorkTable
    SecuredTable
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getMiningReports

    AssociationList getMiningReports(boolean fGoToServer)
                                     throws java.rmi.RemoteException,
                                            MdException

  Gets the Associationlist of `MiningReports`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `MiningReports` which can be of type:
    ArchiveFile
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTargets

    AssociationList getTargets(boolean fGoToServer)
                               throws java.rmi.RemoteException,
                                      MdException

  Gets the Associationlist of `Targets`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `Targets` which can be of type:
    Target
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTargetTables

    AssociationList getTargetTables(boolean fGoToServer)
                                    throws java.rmi.RemoteException,
                                           MdException

  Gets the Associationlist of `TargetTables`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `TargetTables` which can be of type:
    RelationalTable
    PhysicalTable
    WorkTable
    SecuredTable
    QueryTable
    JoinTable
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTrainCodes

    AssociationList getTrainCodes(boolean fGoToServer)
                                  throws java.rmi.RemoteException,
                                         MdException

  Gets the Associationlist of `TrainCodes`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `TrainCodes` which can be of type:
    Text
    TextStore
    SASCatalogEntry
    File
    ArchiveFile
    ArchiveEntry
    Document
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getResultPMMLs

    AssociationList getResultPMMLs(boolean fGoToServer)
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the Associationlist of `ResultPMMLs`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `ResultPMMLs` which can be of type:
    TextStore
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getTrainingTables

    AssociationList getTrainingTables(boolean fGoToServer)
                                      throws java.rmi.RemoteException,
                                             MdException

  Gets the Associationlist of `TrainingTables`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `TrainingTables` which can be of type:
    PhysicalTable
    WorkTable
    SecuredTable
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setSubject

    void setSubject(java.lang.String inSubject)
                    throws java.rmi.RemoteException

  Sets the `Subject` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inSubject` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSubject

    void setSubject(java.lang.String inSubject,
                    int state)
                    throws java.rmi.RemoteException

  Sets the `Subject` Metadata State.

  Parameters:
    `inSubject` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSubjectState

    void setSubjectState(int state)
                         throws java.rmi.RemoteException

  Sets the Metadata State of `Subject`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMiningFunction

    void setMiningFunction(java.lang.String inMiningFunction)
                           throws java.rmi.RemoteException

  Sets the `MiningFunction` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inMiningFunction` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMiningFunction

    void setMiningFunction(java.lang.String inMiningFunction,
                           int state)
                           throws java.rmi.RemoteException

  Sets the `MiningFunction` Metadata State.

  Parameters:
    `inMiningFunction` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMiningFunctionState

    void setMiningFunctionState(int state)
                                throws java.rmi.RemoteException

  Sets the Metadata State of `MiningFunction`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMiningAlgorithm

    void setMiningAlgorithm(java.lang.String inMiningAlgorithm)
                            throws java.rmi.RemoteException

  Sets the `MiningAlgorithm` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inMiningAlgorithm` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMiningAlgorithm

    void setMiningAlgorithm(java.lang.String inMiningAlgorithm,
                            int state)
                            throws java.rmi.RemoteException

  Sets the `MiningAlgorithm` Metadata State.

  Parameters:
    `inMiningAlgorithm` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMiningAlgorithmState

    void setMiningAlgorithmState(int state)
                                 throws java.rmi.RemoteException

  Sets the Metadata State of `MiningAlgorithm`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMiningTool

    void setMiningTool(java.lang.String inMiningTool)
                       throws java.rmi.RemoteException

  Sets the `MiningTool` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inMiningTool` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMiningTool

    void setMiningTool(java.lang.String inMiningTool,
                       int state)
                       throws java.rmi.RemoteException

  Sets the `MiningTool` Metadata State.

  Parameters:
    `inMiningTool` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMiningToolState

    void setMiningToolState(int state)
                            throws java.rmi.RemoteException

  Sets the Metadata State of `MiningTool`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setStatus

    void setStatus(java.lang.String inStatus)
                   throws java.rmi.RemoteException

  Sets the `Status` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inStatus` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setStatus

    void setStatus(java.lang.String inStatus,
                   int state)
                   throws java.rmi.RemoteException

  Sets the `Status` Metadata State.

  Parameters:
    `inStatus` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setStatusState

    void setStatusState(int state)
                        throws java.rmi.RemoteException

  Sets the Metadata State of `Status`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setRating

    void setRating(double inRating)
                   throws java.rmi.RemoteException

  Sets the `Rating` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inRating` - double
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setRating

    void setRating(double inRating,
                   int state)
                   throws java.rmi.RemoteException

  Sets the `Rating` Metadata State.

  Parameters:
    `inRating` - double
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setRating

    void setRating(java.lang.String inRating)
                   throws java.rmi.RemoteException

  Sets the `Rating` value and sets the state to MetadataState.LOCAL

  Parameters:
    `inRating` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setRating

    void setRating(java.lang.String inRating,
                   int state)
                   throws java.rmi.RemoteException

  Sets the `Rating` value and Metadata State.

  Parameters:
    `inRating` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setRatingState

    void setRatingState(int state)
                        throws java.rmi.RemoteException

  Sets the Metadata State of `Rating`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setWorkspaceName

    void setWorkspaceName(java.lang.String inWorkspaceName)
                          throws java.rmi.RemoteException

  Sets the `WorkspaceName` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inWorkspaceName` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setWorkspaceName

    void setWorkspaceName(java.lang.String inWorkspaceName,
                          int state)
                          throws java.rmi.RemoteException

  Sets the `WorkspaceName` Metadata State.

  Parameters:
    `inWorkspaceName` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setWorkspaceNameState

    void setWorkspaceNameState(int state)
                               throws java.rmi.RemoteException

  Sets the Metadata State of `WorkspaceName`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setModelKey

    void setModelKey(java.lang.String inModelKey)
                     throws java.rmi.RemoteException

  Sets the `ModelKey` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inModelKey` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setModelKey

    void setModelKey(java.lang.String inModelKey,
                     int state)
                     throws java.rmi.RemoteException

  Sets the `ModelKey` Metadata State.

  Parameters:
    `inModelKey` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setModelKeyState

    void setModelKeyState(int state)
                          throws java.rmi.RemoteException

  Sets the Metadata State of `ModelKey`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSourceCodeType

    void setSourceCodeType(java.lang.String inSourceCodeType)
                           throws java.rmi.RemoteException

  Sets the `SourceCodeType` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inSourceCodeType` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSourceCodeType

    void setSourceCodeType(java.lang.String inSourceCodeType,
                           int state)
                           throws java.rmi.RemoteException

  Sets the `SourceCodeType` Metadata State.

  Parameters:
    `inSourceCodeType` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setSourceCodeTypeState

    void setSourceCodeTypeState(int state)
                                throws java.rmi.RemoteException

  Sets the Metadata State of `SourceCodeType`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMiningReports

    void setMiningReports(AssociationList list)
                          throws java.rmi.RemoteException

  Sets the `MiningReports` list to be `list`. Objects of which can be of type:
  ArchiveFile

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setMiningReports

    void setMiningReports(AssociationList inObjects,
                          int state)
                          throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTargets

    void setTargets(AssociationList list)
                    throws java.rmi.RemoteException

  Sets the `Targets` list to be `list`. Objects of which can be of type:
  Target

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTargets

    void setTargets(AssociationList inObjects,
                    int state)
                    throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTargetTables

    void setTargetTables(AssociationList list)
                         throws java.rmi.RemoteException

  Sets the `TargetTables` list to be `list`. Object of which can be of type:
  RelationalTable
  PhysicalTable
  WorkTable
  SecuredTable
  QueryTable
  JoinTable

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTargetTables

    void setTargetTables(AssociationList list,
                         int state)
                         throws java.rmi.RemoteException

  Sets the `TargetTables` list to be `list`. Object of which can be of type:
  RelationalTable
  PhysicalTable
  WorkTable
  SecuredTable
  QueryTable
  JoinTable

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTargetTable

    void setTargetTable(RelationalTable inObject)
                        throws java.rmi.RemoteException

  Sets the `TargetTables` list 0th element to be `inObject`.

  Parameters:
    `inObject` - RelationalTable
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTrainCodes

    void setTrainCodes(AssociationList list)
                       throws java.rmi.RemoteException

  Sets the `TrainCodes` list to be `list`. Object of which can be of type:
  Text
  TextStore
  SASCatalogEntry
  File
  ArchiveFile
  ArchiveEntry
  Document

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTrainCodes

    void setTrainCodes(AssociationList list,
                       int state)
                       throws java.rmi.RemoteException

  Sets the `TrainCodes` list to be `list`. Object of which can be of type:
  Text
  TextStore
  SASCatalogEntry
  File
  ArchiveFile
  ArchiveEntry
  Document

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTrainCode

    void setTrainCode(Text inObject)
                      throws java.rmi.RemoteException

  Sets the `TrainCodes` list 0th element to be `inObject`.

  Parameters:
    `inObject` - Text
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setResultPMMLs

    void setResultPMMLs(AssociationList list)
                        throws java.rmi.RemoteException

  Sets the `ResultPMMLs` list to be `list`. Objects of which can be of type:
  TextStore

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setResultPMMLs

    void setResultPMMLs(AssociationList list,
                        int state)
                        throws java.rmi.RemoteException

  Sets the `ResultPMMLs` list to be `list`. Objects of which can be of type:
  TextStore

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setResultPMML

    void setResultPMML(TextStore inObject)
                       throws java.rmi.RemoteException

  Sets the `ResultPMMLs` list 0th element to be `inObject`.

  Parameters:
    `inObject` - TextStore
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTrainingTables

    void setTrainingTables(AssociationList list)
                           throws java.rmi.RemoteException

  Sets the `TrainingTables` list to be `list`. Objects of which can be of type:
  PhysicalTable
  WorkTable
  SecuredTable

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTrainingTables

    void setTrainingTables(AssociationList list,
                           int state)
                           throws java.rmi.RemoteException

  Sets the `TrainingTables` list to be `list`. Objects of which can be of type:
  PhysicalTable
  WorkTable
  SecuredTable

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setTrainingTable

    void setTrainingTable(PhysicalTable inObject)
                          throws java.rmi.RemoteException

  Sets the `TrainingTables` list 0th element to be `inObject`.

  Parameters:
    `inObject` - PhysicalTable
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.